
/*
  This header-file is produced automatically (at least in part) by
  makeHeader of BLAB, Ifi, UiO.
*/


/*

________________________________________________________________

        texture.h
        $Id: texture.h,v 1.8 1997/03/24 09:32:34 svein Exp $
        Copyright 1990, Blab, UiO
        Image processing lab, Department of Informatics
        University of Oslo
        E-mail: blab@ifi.uio.no
________________________________________________________________
  
  Permission to use, copy, modify and distribute this software and its
  documentation for any purpose and without fee is hereby granted, 
  provided that this copyright notice appear in all copies and that 
  both that copyright notice and this permission notice appear in supporting
  documentation and that the name of B-lab, Department of Informatics or
  University of Oslo not be used in advertising or publicity pertaining 
  to distribution of the software without specific, written prior permission.

  B-LAB DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL B-LAB
  BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
  OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN 
  CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 

*/

#ifndef _TEXTURE_H_
#define _TEXTURE_H_

_XITE_CPLUSPLUS_BEGIN

#include <xite/biff.h>


extern double glrlSre  _XITE_PARAMS(( II_BAND inband, int maxlength, int noofruns ));
extern double glrlLre  _XITE_PARAMS(( II_BAND inband, int maxlength, int noofruns ));
extern double glrlGln  _XITE_PARAMS(( II_BAND inband, int maxlength, int noofruns ));
extern double glrlRln  _XITE_PARAMS(( II_BAND inband, int maxlength, int noofruns ));
extern double glrlRp  _XITE_PARAMS(( II_BAND inband, int maxlength, int noofruns, int noofpixels ));
extern double glrlSgre  _XITE_PARAMS(( II_BAND inband, int maxlength, int noofruns ));
extern double glrlLgre  _XITE_PARAMS(( II_BAND inband, int maxlength, int noofruns ));
extern int glRunLength  _XITE_PARAMS(( IBAND input, II_BAND output, int hori, int vert, int average, int noofgl, int *maxlength, int *noofruns ));
extern int glcm  _XITE_PARAMS(( IBAND input, ID_BAND output, int dx, int dy, int nogreylevel ));
extern double glcmAsm  _XITE_PARAMS(( ID_BAND inband ));
extern double glcmCont  _XITE_PARAMS(( ID_BAND inband ));
extern double glcmCorr  _XITE_PARAMS(( ID_BAND inband ));
extern double glcmIdm  _XITE_PARAMS(( ID_BAND inband ));
extern double glcmEntropy  _XITE_PARAMS(( ID_BAND inband ));
extern double glcmVar  _XITE_PARAMS(( ID_BAND inband ));
extern double glcmProm  _XITE_PARAMS(( ID_BAND inband ));
extern double glcmShade  _XITE_PARAMS(( ID_BAND inband ));
extern double glcmInertia  _XITE_PARAMS(( ID_BAND inband ));
extern double glcmDiagmoment  _XITE_PARAMS(( ID_BAND inband ));
extern int peanoScan  _XITE_PARAMS(( IBAND inband, IBAND outband, int blockPow ));

_XITE_CPLUSPLUS_END

#endif /* _TEXTURE_H_ */
